using GxPress.Auth;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.AppControllers
{
    /// <summary>
    /// 分享
    /// </summary>
    [Route("api/app/share")]
    [ApiController]
    [Authorize]
    public class ShareController : ControllerBase
    {
        private readonly ILoginContext _loginContext;
        public ShareController(ILoginContext loginContext)
        {
            _loginContext = loginContext;
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="typeId"></param>
        /// <param name="sourceId"></param>
        /// <returns></returns>
        [HttpGet("url")]
        public ShareDto GetShareUrl([FromQuery]int typeId, [FromQuery] int sourceId)
        {
            var shareDto = new ShareDto();
            return shareDto;
        }
    }
    /// <summary>
    /// 共享
    /// </summary>
    public class ShareDto
    {
        public string Url { get; set; }
    }
}